> ## Documentation Index
> Fetch the complete documentation index at: https://kaneo.app/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete custom field

> Delete a custom field definition by ID.



## OpenAPI

````yaml /openapi.json delete /custom-field/{id}
openapi: 3.1.0
info:
  title: Kaneo API
  version: 1.0.0
  description: Kaneo Project Management API - Manage projects, tasks, labels, and more
servers:
  - url: https://cloud.kaneo.app/api
    description: Kaneo API Server
security:
  - bearerAuth: []
paths:
  /custom-field/{id}:
    delete:
      tags:
        - Custom Fields
      summary: Delete custom field
      description: Delete a custom field definition by ID.
      operationId: deleteCustomField
      parameters:
        - schema:
            type: string
          required: true
          name: id
          in: path
      responses:
        '200':
          description: The deleted custom field
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomFieldDefinition'
        '400':
          description: Unknown custom field, or its workspace could not be determined
          content:
            text/plain:
              schema:
                type: string
        '401':
          description: Missing or invalid credentials
        '403':
          description: No workspace access, or missing project:update permission
          content:
            text/plain:
              schema:
                type: string
components:
  schemas:
    CustomFieldDefinition:
      type: object
      properties:
        id:
          type: string
        projectId:
          type: string
        name:
          type: string
        type:
          type: string
        required:
          type: boolean
        defaultValue:
          type:
            - string
            - 'null'
        options: {}
        position:
          type: number
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
      required:
        - id
        - projectId
        - name
        - type
        - required
        - defaultValue
        - position
        - createdAt
        - updatedAt
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API key or session token (Bearer)

````